Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.pentaho.di.repository
Class RepositoryObject

    java.lang.Object
      org.pentaho.di.repository.RepositoryObject

    public class RepositoryObject

extends Object

Contains some common object details, extracted from a repository

Author:
  Matt

Field Summary
`static String` | `STRING_OBJECT_TYPE_JOB`
`static String` | `STRING_OBJECT_TYPE_TRANSFORMATION`

Constructor Summary
`RepositoryObject()`
`RepositoryObject(String name, String modifiedUser, Date modifiedDate, String objectType, String description)`

Method Summary
`static int` | `compareDates(Date one, Date two)`
`static int` | `compareStrings(String one, String two)`
`String` | `getDescription()`
`Date` | `getModifiedDate()`
`String` | `getModifiedUser()`
`String` | `getName()`
`String` | `getObjectType()`
`void` | `setDescription(String description)`
`void` | `setModifiedDate(Date modifiedDate)`
`void` | `setModifiedUser(String modifiedUser)`
`void` | `setName(String name)`
`void` | `setObjectType(String objectType)`
`static void` | `sortRepositoryObjects(List<RepositoryObject> objects, int sortPosition, boolean ascending)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### STRING_OBJECT_TYPE_TRANSFORMATION

    public static final String STRING_OBJECT_TYPE_TRANSFORMATION

See Also:
  Constant Field Values

### STRING_OBJECT_TYPE_JOB

    public static final String STRING_OBJECT_TYPE_JOB

See Also:
  Constant Field Values

Constructor Detail

### RepositoryObject

    public RepositoryObject()

### RepositoryObject

    public RepositoryObject(String name,
                            String modifiedUser,
                            Date modifiedDate,
                            String objectType,
                            String description)

Parameters:
  `name` -
  `modifiedUser` -
  `modifiedDate` -

Method Detail

### getModifiedDate

    public Date getModifiedDate()

  Returns:
    the modifiedDate

### setModifiedDate

    public void setModifiedDate(Date modifiedDate)

  Parameters:
    `modifiedDate` - the modifiedDate to set

### getModifiedUser

    public String getModifiedUser()

  Returns:
    the modifiedUser

### setModifiedUser

    public void setModifiedUser(String modifiedUser)

  Parameters:
    `modifiedUser` - the modifiedUser to set

### getName

    public String getName()

  Returns:
    the name

### setName

    public void setName(String name)

  Parameters:
    `name` - the name to set

### compareStrings

    public static final int compareStrings(String one,
                                           String two)

### compareDates

    public static final int compareDates(Date one,
                                         Date two)

### sortRepositoryObjects

    public static final void sortRepositoryObjects(List<RepositoryObject> objects,
                                                   int sortPosition,
                                                   boolean ascending)

### getObjectType

    public String getObjectType()

  Returns:
    the objectType

### setObjectType

    public void setObjectType(String objectType)

  Parameters:
    `objectType` - the objectType to set

### getDescription

    public String getDescription()

  Returns:
    the description

### setDescription

    public void setDescription(String description)

  Parameters:
    `description` - the description to set

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD